body {
	font-family: 'Arial', sans-serif;
	background-color: #000;
	color: #fffadb;
	display: flex;
	flex-direction: column;
	align-items: center;
	margin: 0px auto;
	min-width: fit-content;
}

header {
	width: 100%;
	text-align: center;
	white-space: nowrap;
}

header img {
	max-width: 720px;
	height: auto;
	margin: 12px 0px;
}

footer {
	margin: 32px 0px;
	padding: 16px 0px;
	text-align: center;
}

footer a {
	font-size: 16px;
	text-decoration: underline;
}

nav ul {
	width: 100%;
	margin: 0px;
	padding: 0px;
	display: flex;
	align-items: center;
	justify-content: space-around;
}

nav li {
	display: inline-block;
	text-align: center;
	padding: 6px 4px;
	white-space: nowrap;
	flex: 1;
}

a.active:hover {
	color: chartreuse;
}

a.inactive {
	pointer-events: none;
	cursor: default;
	opacity: 50%;
}

.main__nav {
	width: 720px;
	border-width: 2px 0px;
	border-style: solid none;
	border-color: #fffadb;
	margin: 12px 0px;
}

a {
	text-decoration: none;
	color: #fffadb;
	font-size: 24px;
}

.comic__page,
.series__page {
	text-align: center;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.series__name,
.panel__title {
	margin: 12px 16px;
}

.panel__date {
	font-size: 20px;
	margin-bottom: 12px;
}

.comic__nav {
	width: 720px;
}

.comic__nav li {
	width: 20%;
}

.comic__nav img {
	width: 100%;
	height: auto;
	text-align: center;
}

.comic__nav a {
	text-decoration: underline;
}

.comic__panel {
	margin: 16px 0px;
	width: 900px;
	height: auto;
}

.series__page ul {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	margin: 0 auto;
	padding: 20px;
}

.series__page li {
	padding: 6px;
	margin: 0px 4px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.series__link {
	display: flex;
	flex-direction: column;
	white-space: nowrap;
	align-items: center;
	text-align: center;
	text-decoration: none;
	color: #fffadb;
	font-size: 16px;
}

.series__link img {
	width: 300px;
	height: 400px;
	object-fit: cover;
}

.not__found {
	min-width: fit-content;
	white-space: nowrap;
	font-size: 24px;
}

.not__found span {
	font-size: 64px;
}

.redirect__a {
	float: right;
	text-decoration: underline;
}

@media (max-width: 1024px) {
	.series__page ul {
		grid-template-columns: repeat(2, 1fr);
	}

	.comic__panel {
		width: 720px;
	}
}

@media (max-width: 750px) {
	.series__page ul {
		grid-template-columns: repeat(1, 1fr);
	}

	header img,
	.main__nav,
	.comic__nav,
	.comic__panel {
		width: 96%;
	}

	.series__name {
		font-size: 1.4rem;
	}

	.panel__title {
		font-size: 1.2rem;
	}

	.panel__date {
		font-size: 0.8rem;
	}

	.comic__nav a {
		font-size: 16px;
	}

}